Page MenuHome

Merge Asset Browser Milestone 1 (Not Necessarily Feature-Complete)
Closed, ResolvedPublicTO DO

Authored By
Julian Eisel (Severin)
Nov 18 2020, 6:06 PM
Tokens
"Like" token, awarded by DaveDeer."Yellow Medal" token, awarded by Pipeliner."Love" token, awarded by AnityEx."Like" token, awarded by dru."Yellow Medal" token, awarded by Brandon777."Orange Medal" token, awarded by looch."Yellow Medal" token, awarded by Jules.

Description

The first Asset Browser milestone should be merged for 2.92.
See #asset_browser and #asset_browser_milestone_1.

Not all of the open tasks may be done in time for bcon3 though. If that is the case, we could either keep it disabled as experimental feature until 2.93, or clearly communicate it as not feature-complete. If we want to do the latter, the coming implementation sprints should focus on stability over feature-completeness.

Event Timeline

Julian Eisel (Severin) renamed this task from Asset Browser Milestone 1 to Merge Asset Browser Milestone 1 (Not Necessary Feature-Comlete).Nov 24 2020, 10:36 PM
Julian Eisel (Severin) moved this task from Restricted Project Column to Restricted Project Column on the Restricted Project board.
Julian Eisel (Severin) moved this task from Restricted Project Column to Restricted Project Column on the Restricted Project board.
Julian Eisel (Severin) renamed this task from Merge Asset Browser Milestone 1 (Not Necessary Feature-Comlete) to Merge Asset Browser Milestone 1 (Not Necessary Feature-Complete).Nov 24 2020, 10:40 PM
Julian Eisel (Severin) renamed this task from Merge Asset Browser Milestone 1 (Not Necessary Feature-Complete) to Merge Asset Browser Milestone 1 (Not Necessarily Feature-Complete).

There are 7 patches now, that depend on each other in the order listed here (starting from D9716).
That makes checking out the patches a bit difficult, if it helps I can push the individual branches.

Julian Eisel (Severin) closed this task as Resolved.Dec 16 2020, 2:12 AM

It's done! Now on to polishes and fixes.